<template>
  <div id="app" class="app" :class="`app--${currentCity.weatherInfo.icon}`">
    <Header />
    <div class="content">
      <Temperature />
    </div>
    <div class="footer">
      <InfoSection
        v-for="item in weatherOptions"
        class="footer__column"
        :key="item.name"
        :title="item.name"
      >
        {{ item.value }}
      </InfoSection>
    </div>
  </div>
</template>

<script>
import Header from '@/components/Header'
import InfoSection from '@/components/InfoSection'
import Temperature from '@/components/Temperature'
import store from './store/index.js'

export default {
  name: 'App',
  components: {
    InfoSection,
    Temperature,
    Header
  },
  computed: {
    currentCity: function() {
      return store.getters.getCurrentCity
    },
    weatherOptions: function() {
      return this.currentCity.weatherInfo.weatherOptions
    }
  }
}
</script>

<style lang="scss">
@import url('https://fonts.googleapis.com/css?family=Lato&display=swap');
@import url('https://fonts.googleapis.com/css?family=PT+Sans&display=swap');

* {
  box-sizing: border-box;
}

html {
  font-size: 16px;
}

body {
  margin: 0;
  padding: 0;
}

.app {
  font-family: Lato, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: $color-white;
  background: $color-cornflower-blue;
  border: 1px solid $color-dusty-gray;
  height: 100vh;
  display: flex;
  flex-direction: column;
  padding: 20px;
  transition: all 0.5s;

  @include breakpoint(medium) {
    padding: 75px 75px 75px 96px;
  }

  .content {
    flex: 1 auto;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .footer {
    display: flex;
    flex-wrap: wrap;

    &__column {
      margin-top: 1rem;
      width: 50%;
      padding: 0 10px;

      @include breakpoint(medium) {
        width: 25%;
      }
    }
  }
  &--cloud {
    background: $color-chambray;
  }
}
</style>
